[vdr] xine vdpau not working?

Theunis Potgieter theunis.potgieter at gmail.com
Sat Jan 9 17:43:20 CET 2010


I think it is your card that is the problem

http://en.wikipedia.org/wiki/VDPAU shows that is should support up to
VP1, however if you look at mythtv's guide:
http://www.mythtv.org/wiki/VDPAU it starts only at series 8 and newer.

It seems that your card can then only support xvmc for mpeg2 codec only. :(

Buy a a new 8400 GS (old brand model name but new architecture G98
chip) as indicated here http://en.wikipedia.org/wiki/Nvidia_PureVideo

It is cheap and runs at 40'C, fast and silent (mine has no fan on it)
and supports up to VP3.

Theunis

2010/1/9 Simon Baxter <linuxtv at nzbaxters.com>:
> Hi
>
> This is more related to xine than VDR, but I can't get vdpau to work on my
> VDR box.  Everything appears to compile fine, but if I do:
> xine --list-plugins | grep vdpau
> I get nothing.
>
> I can start xine with :
> xine --verbose=2 -V vdpau -A alsa --post vdr_video --post 001.vdr
> but it plays in xv "video_out_xv" (see attached)
>
> I can even start with xine --verbose=2 -V biggirlsblouse -A alsa --post
> vdr_video --post vdr_audio --post upmix_mono 001.vdr
> and it still plays in xv with no errors.
>
> ANY IDEAS??
>
>
>
> I'm using xine-lib-1.2 and patching with xine-lib-1.2-vdpau-r286.diff which
> was configured with:
> ./autogen.sh --with-vdpau --enable-debug --disable-optimizations
> --with-mpc=no
>
> then using xine-ui xine-ui-cvs-20090617220000 built with
> ./autogen.sh --enable-vdr-keys --disable-lirc
>
> My only library plugins are now xine-lib-1.2:
> ldconfig -p | grep xine
>       libxine.so.2 (libc6,x86-64) => /usr/local/lib/libxine.so.2
>       libxine.so (libc6,x86-64) => /usr/local/lib/libxine.so
>
> ls -l /usr/local/lib/libxine*
> -rwxr-xr-x 1 root root     825 2010-01-09 11:59 /usr/local/lib/libxine.la
> lrwxrwxrwx 1 root root      16 2010-01-09 11:59 /usr/local/lib/libxine.so ->
> libxine.so.2.0.0
> lrwxrwxrwx 1 root root      16 2010-01-09 11:59 /usr/local/lib/libxine.so.2
> -> libxine.so.2.0.0
> -rwxr-xr-x 1 root root 1118042 2010-01-09 11:59
> /usr/local/lib/libxine.so.2.0.0
>
> Kernel is:
> 2.6.27.29-170.2.78.fc10.x86_64
>
> nvidia drivers are:
> kmod-nvidia-2.6.27.29-170.2.78.fc10.x86_64-180.60-1.fc10.1.x86_64
> xorg-x11-drv-nvidia-libs-180.60-1.fc10.x86_64
>
> Video card is:
> 00:0d.0 VGA compatible controller: nVidia Corporation GeForce 6150SE nForce
> 430 (rev a2) (prog-if 00 [VGA controller])
>       Subsystem: Giga-byte Technology Device d000
>       Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 22
>       Memory at f2000000 (32-bit, non-prefetchable) [size=16M]
>       Memory at e0000000 (64-bit, prefetchable) [size=256M]
>       Memory at f3000000 (64-bit, non-prefetchable) [size=16M]
>       [virtual] Expansion ROM at 50000000 [disabled] [size=128K]
>       Capabilities: [48] Power Management version 2
>       Capabilities: [50] Message Signalled Interrupts: Mask- 64bit+
> Count=1/1 Enable-
>       Kernel driver in use: nvidia
>       Kernel modules: nvidia, nvidiafb
>
>
> Any ideas??  What am I doing wrong?
>
>
> Thanks
> Simon
>
> _______________________________________________
> vdr mailing list
> vdr at linuxtv.org
> http://www.linuxtv.org/cgi-bin/mailman/listinfo/vdr
>
>



More information about the vdr mailing list